%global pre rc5
Name:           ax25-apps
Version:        0.0.8
Release:        0.2%{?dist}
Summary:        AX.25 ham radio applications

#ax25ipd is BSD licensed, rest is GPLv2+
License:        GPLv2+ and BSD
URL:            http://ax25.sourceforge.net/

Source0:        http://www.linux-ax25.org/pub/%{name}/%{name}-%{version}%{?pre:-%{pre}}.tar.xz
Source1:        LICENSE

#listen and call are too generic names, rename to axlisten and axcall in all instances, thanks debian maintainers
Patch0:         ax25-apps-0.0.6-nongenericnames.patch
Patch1:         ax25-apps-ax25rtd-config_c.patch

BuildRequires:  autoconf automake libtool
BuildRequires:  libax25-devel
BuildRequires:  ncurses-devel


%description

This package provides specific user applications for hamradio that use AX.25 
Net/ROM or ROSE network protocols:

 * axcall: a general purpose AX.25, NET/ROM and ROSE connection program.
 * axlisten: a network monitor of all AX.25 traffic heard by the system.
 * ax25ipd: an RFC1226 compliant daemon which provides encapsulation of
   AX.25 traffic over IP.
 * ax25mond: retransmits data received from sockets into an AX.25 monitor
   socket.


%prep
%autosetup -p1 %{?pre:-n %{name}-%{version}-%{pre}}

sed -i "s/AC_PROG_LIBTOOL/LT_INIT/" configure.ac


%build
#the patch requires rebuilding of makefiles and such
#libtoolize
#aclocal; autoconf; automake --add-missing
autoreconf -if
%configure
%make_build


%install
%make_install
make DESTDIR=%{buildroot} installconf

#Install BSD License text
install -p -D -m 0644 %{SOURCE1} .

#don't include these twice
mv %{buildroot}%{_docdir}/ax25-apps _tmpdoc
mv _tmpdoc/COPYING.ax25ipd .

# Fix the encoding on the doc files to be UTF-8
recode()
{
        iconv -f "$2" -t utf-8 < "$1" > "${1}_"
        mv -f "${1}_" "$1"
}
recode AUTHORS iso-8859-15


%files
%doc AUTHORS ChangeLog README
%doc _tmpdoc/*
%license COPYING LICENSE COPYING.ax25ipd
%{_bindir}/axcall
%{_bindir}/axlisten
%{_sbindir}/ax25ipd
%{_sbindir}/ax25mond
%{_sbindir}/ax25rtctl
%{_sbindir}/ax25rtd
%{_localstatedir}/ax25/ax25rtd/
%{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/ax25/*.conf


%changelog
* Thu Apr 04 2019 Richard Shaw <hobbes1069@gmail.com> - 0.0.8-0.2
- Move back to caonical upstream from fork.

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Nov 06 2018 Richard Shaw <hobbes1069@gmail.com> - 1.0.5-8
- Add patch for segfault when using Unix98 pty, (#1644317).

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 30 2015 Richard Shaw <hobbes1069@gmail.com> - 1.0.5-1
- Update to latest upstream release.

* Wed Sep 23 2015 Richard Shaw <hobbes1069@gmail.com> - 0.0.8-0.1.rc4
- Update to latest upstream release.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Randall Berry, N3LRX <dp67@fedoraproject.org> - 0.0.6-17
- 3rd rebuild

* Sat Aug 03 2013 Randall Berry, N3LRX <dp67@fedoraproject.org> - 0.0.6-16
- 2nd rebuild

* Sat Aug 03 2013 Randall Berry, N3LRX <dp67@fedoraproject.org> - 0.0.6-15
- Rebuild for LICENSE inclusion problem (mass rebuild)
- Also corrects bug #888206

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 18 2012 Randall Berry, N3LRX <dp67@fedoraproject.org> - 0.0.6-12
- Add patch to relicense /listen/ripdump.c
- Author re-released source in question under BSD
- http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=630893
- BZ: #888206 https://bugzilla.redhat.com/show_bug.cgi?id=888206
- Add BSD license text to package.

* Sun Aug 05 2012 Randall Berry, N3LRX <dp67@fedoraproject.org> - 0.0.6-11
- Cleanup build for F18/Rawhide
- Remove patch1 0 byte file

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 23 2011 Randall Berry, N3LRX <dp67@fedoraproject.org> - 0.0.6-8
- Rebuild for Rawhide
- Added Patch1 required for rawhide build.
- De-versioned autotools for rawhide build.
- Added Makefile.am patch per build log.

* Thu Jun 23 2011 Randall Berry, N3LRX <dp67@fedoraproject.org> - 0.0.6-7
- Rebuild for Rawhide
- Added Patch1 required for rawhide build.
- Deversioned autotools.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 21 2009 Robert Scheck <robert@fedoraproject.org> 0.0.6-4
- Rebuilt against libtool 2.2

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 16 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.0.6-2
- Submit for review

* Thu Dec 06 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 0.0.6-1
- Initial Build
